Bug 193828 - CVE-2006-2753 MySQL improper multibyte string escaping
CVE-2006-2753 MySQL improper multibyte string escaping
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-06-01 17:18 EDT by Josh Bressers
Modified: 2013-07-02 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-14 09:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-01 17:18:54 EDT
+++ This bug was initially created as a clone of Bug #193827 +++

SQL injection vulnerability in MySQL 4.1.x before 4.1.20 and 5.0.x
before 5.0.22 allows context-dependent attackers to execute arbitrary
SQL commands via crafted multibyte encodings in character sets such as
SJIS, BIG5, and GBK, which are not properly handled when the
mysql_real_escape function is used to escape the input.
Comment 1 Tom Lane 2006-06-14 09:57:39 EDT
4.1.20 and 5.0.22 pushed into fc4 and fc5, respectively.

Note You need to log in before you can comment on or make changes to this bug.